/**
 * IE HTML5 elements fix - jQuery plugin
 * Copyright (c) 2010 Johan de Jong <http://johan.notitia.nl>
 *
 * Creative Commons Attribution-Share Alike 3.0
 * http://creativecommons.org/licenses/by-sa/3.0/
 *
 * How to use:
 *     - include the jQuery core as normal at the HEAD element
 *       <script type="text/javascript" src="/path/to/jquery.js"></script>
 *
 *     - include this file at the HEAD element
 *       <script type="text/javascript" src="/path/to/jquery.html5.js"></script>
 *
 *     - call the function at the HEAD element, *OUTSIDE* $(document).ready(); !!!
 *       <script type="text/javascript">
 *          $.html5();										// default usage
 *          $.html5('wrapper,content,copyright');			// with custom tags as a string, comma seperated
 *
 *          $(document).ready();							// now you can do the rest of your code
 *       </script>
 */
(function(a){a.extend({html5:function(b){if(a.browser.msie){e="abbr,article,aside,audio,canvas,datalist,details,eventsource,figure,footer,header,hgroup,mark,menu,meter,nav,output,progress,section,time,video";if(b.length>0){e+=","+b}x=e;e=e.split(",");i=e.length;while(i--){document.createElement(e[i])}s=document.createElement("style");s.setAttribute("type","text/css");s.styleSheet.cssText=x+" {display:block;zoom:1;}";h=document.getElementsByTagName("head")[0];h.appendChild(s)}}})})(jQuery);


/* 
	tidyHTML5MediaTags by Katja Deutschmann <http://www.katjadeutschmann.de/>
	
	This jQuery plugin recreates audio, video and source tags for older browsers like Firefox < 3.1 that otherwise nest the tags.
	
	@dependencies: jQuery <http://jquery.com>
	
	Function call: 
	$.tidyHTML5MediaTags();	
*/	
(function(a){a.extend({tidyHTML5MediaTags:function(){var c=new Array();var b=new Array();var d;if(a("source source, video video, audio audio, video audio, audio video").length>0){e(a("source").last())}function e(i){var l=i.is("audio");var k=i.is("video");var h=i.is("source");if(l||k){var g=(l)?a("<audio/>"):a("<video/>");var f=i[0].attributes;a.each(f,function(n,o){g.attr(o.name,o.value)});a.each(b,function(n,o){g.append(o)});c.unshift(g);b=new Array();if(i.siblings("source").length>0){d=i;e(i.siblings("source"))}else{a.each(c,function(o,n){i.prev().after(n)});i.detach()}}else{if(h){var j=a("<source/>");var f=i[0].attributes;a.each(f,function(n,o){j.attr(o.name,o.value)});b.unshift(j);var m=i.parent().contents().not(i).not(d);c.unshift(m);e(i.parent())}}}}})})(jQuery);

(function($){
	$.html5('');
	$(document).ready(function(){
		$.tidyHTML5MediaTags();
	});
})(jQuery);